function probst = computeInvariantDistribution(tdecis1,model)

nkap 	= model.params.nAssets ;
N		= model.params.nStates ;
prob 	= model.params.mPr ;
...
tolOnDistribution = model.options.tolOnDistribution ;
...
gmat=zeros(nkap,nkap,N);
for j = 1:N
	for k = 1:nkap
		gmat(k,tdecis1(k,j),j) = 1;
	end
	trans((j-1)*nkap+1:j*nkap,:) = kron(prob(j,:),gmat(:,:,j));
end
trans=trans';
probst = (1/(N*nkap))*ones(N*nkap,1);
test = 1;
iter = 0 ;
while (test > tolOnDistribution) && (iter < 100000) ;
	probst1 = trans*probst;
	test = max(abs(probst1-probst));
	probst = probst1;
	iter = iter + 1;
end;
% iter
% test
if iter == 100000
	disp('max iter atteint. résultats probablement faux.');
end;

probst = reshape(probst,nkap,N);